Full name: projects.locations.instances.remoteAgents.migrateConnectors
Migrates legacy connectors on a RemoteAgent from remote to local scheduling. Use this method to modernize connector execution by moving the scheduling logic from the remote agent to the local SecOps instance.
HTTP request
POST https://{endpoint}/v1alpha/{name}:migrateConnectors
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the remote agent to migrate. Format: projects/{project}/locations/{location}/instances/{instance}/agents/{agent} |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.remoteAgents.update
For more information, see the IAM documentation.